> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Update

> Update an existing event record for a project. This can be used to update the event name, description, start date, and end date.



## OpenAPI

````yaml put /v1/events/update
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/events/update:
    put:
      tags:
        - engagement
      summary: Event Update
      description: >-
        Update an existing event record for a project. This can be used to
        update the event name, description, start date, and end date.
      requestBody:
        description: >-
          The request body must include the event ID or reference ID, and the
          fields to update.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEventRequest'
      responses:
        '201':
          description: Created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    UpdateEventRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
          description: Name of the event. e.g. "Ultra Music Festival"
        description:
          type: string
          description: >-
            Description of the event. e.g. "The best music festival in the
            world"
        start_date:
          $ref: '#/components/schemas/OptionalTimestamp'
        end_date:
          $ref: '#/components/schemas/OptionalTimestamp'
    EventResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        reference_id:
          $ref: '#/components/schemas/OptionalReferenceId'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        start_date:
          type: integer
        end_date:
          type: integer
        location:
          type: string
        address:
          type: string
        project_id:
          type: string
          format: uuid
      required:
        - id
        - created_at
        - updated_at
        - name
        - start_date
        - end_date
        - location
        - address
        - project_id
    OptionalTimestamp:
      type:
        - integer
        - 'null'
      exclusiveMinimum: 0
      description: Timestamp as Unix timestamp in seconds
    OptionalReferenceId:
      type:
        - string
        - 'null'
      description: >-
        An optional ID of the reference object in your database. This can be
        used to query events by reference object.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````